Version française
Home     About     Download     Resources     Contact us    
Browse thread
OCaml 3.08.3 fails to compile under Fedora Core 4 (GCC 4).
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Xavier Leroy <Xavier.Leroy@i...>
Subject: Re: [Caml-list] OCaml 3.08.3 fails to compile under Fedora Core 4 (GCC 4).
> As was already mentioned on this list about a month ago, OCaml 3.08.3 
> fails to compile with GCC4. [...]
> As far as I can tell, last time this came up on this list nobody have 
> offered any solutions short of downgrading GCC. Is there any other way 
> to get it to work? TIA for any suggestions.

A simple workaround: after running configure, change config/Makefile
to set BNG_ASM_LEVEL=0 (instead of 1 or 2).  This will turn off all
inline asm stuff, at significant cost in speed of bignum operations.

- Xavier Leroy